aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/llvm/llvm-common/llvm-config
diff options
context:
space:
mode:
authorHenning Heinold <h.heinold@tarent.de>2010-07-12 13:34:25 +0200
committerHenning Heinold <h.heinold@tarent.de>2010-08-02 10:23:41 +0200
commit9e043b45ceba7e65565722c7dc14910547b04d17 (patch)
tree89ca05c6c6cd71f579550c6e8190244d2fee1ffc /recipes/llvm/llvm-common/llvm-config
parent6440e87767ed6aea4e89f73a11b87ae576867da6 (diff)
downloadopenembedded-9e043b45ceba7e65565722c7dc14910547b04d17.tar.gz
llvm: backport llvm2.7 from openembedded-dev
Acked-by: Stefan Schmidt <stefan@buglabs.net> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Marcin Juszkiewicz <marcin@juszkiewicz.com.pl>
Diffstat (limited to 'recipes/llvm/llvm-common/llvm-config')
-rw-r--r--recipes/llvm/llvm-common/llvm-config10
1 files changed, 10 insertions, 0 deletions
diff --git a/recipes/llvm/llvm-common/llvm-config b/recipes/llvm/llvm-common/llvm-config
new file mode 100644
index 0000000000..5256b8cd06
--- /dev/null
+++ b/recipes/llvm/llvm-common/llvm-config
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Wrapper script for real llvm-config. Simply calls
+
+if [ $WANT_LLVM_RELEASE ]; then
+ exec `dirname $0`/llvm-config$WANT_LLVM_RELEASE ${@}
+else
+ echo "The variable WANT_LLVM_RELEASE is not defined and exported"
+ echo "by your build recipe. Go figure."
+ exit 1
+fi